Package org.opensaml.saml.common.messaging.context.navigate

# Class SAMLEntityIDFunction

java.lang.Object
org.opensaml.saml.common.messaging.context.navigate.SAMLEntityIDFunction

All Implemented Interfaces:
  `Function<AbstractSAMLEntityContext,String>`, `ContextDataLookupFunction<AbstractSAMLEntityContext,String>`

public class SAMLEntityIDFunction extends Object implements ContextDataLookupFunction<AbstractSAMLEntityContext,String>
A `ContextDataLookupFunction` that returns `AbstractSAMLEntityContext.getEntityId()`.

## Constructor Summary

Constructors
Constructor
Description
`SAMLEntityIDFunction()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(AbstractSAMLEntityContext samlEntityContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### SAMLEntityIDFunction

public SAMLEntityIDFunction()

## Method Details

### apply

public String apply(@Nullable AbstractSAMLEntityContext samlEntityContext)

Specified by:
  `apply` in interface `Function<AbstractSAMLEntityContext,String>`